/*
 * Copyright © 2021 NVIDIA CORPORATION & AFFILIATES. ALL RIGHTS RESERVED.
 *
 * This software product is a proprietary product of Nvidia Corporation and its affiliates
 * (the "Company") and all right, title, and interest in and to the software
 * product, including all associated intellectual property rights, are and
 * shall remain exclusively with the Company.
 *
 * This software product is governed by the End User License Agreement
 * provided with the software product.
 */

#ifndef CLAG_H__
#define CLAG_H__

#include "include/openvswitch/shash.h"

bool clag_status(bool *clag_enabled, bool *peerisalive);
void get_clag_bonds(struct shash *b2c, struct shash *c2b);
void update_mgmt_internal_addr(char *remote, bool active, bool clag_enabled);
void update_mgmt_external_redirect(char *remote, bool active);
void backup_db_from_remote(char *remote, char *path);
void update_bfd_redirect(char *remote, bool active);
char *get_clag_vxlan_anycast_ip(void);
char *get_clag_vxlan_peerlink_name(void);
char *get_clag_vxlan_peerlink(void);
char *get_clag_vxlan_peer_clag_ip(void);
#endif
